Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Class ShapeTypes

    java.lang.Object
      org.apache.poi.ss.usermodel.ShapeTypes

    public class ShapeTypes

extends java.lang.Object

All known types of automatic shapes in DrawingML

Author:
  Yegor Kozlov

Field Summary
`static int` | `ACCENT_BORDER_CALLOUT_1`
`static int` | `ACCENT_BORDER_CALLOUT_2`
`static int` | `ACCENT_BORDER_CALLOUT_3`
`static int` | `ACCENT_CALLOUT_1`
`static int` | `ACCENT_CALLOUT_2`
`static int` | `ACCENT_CALLOUT_3`
`static int` | `ACTION_BUTTON_BACK_PREVIOUS`
`static int` | `ACTION_BUTTON_BEGINNING`
`static int` | `ACTION_BUTTON_BLANK`
`static int` | `ACTION_BUTTON_DOCUMENT`
`static int` | `ACTION_BUTTON_END`
`static int` | `ACTION_BUTTON_FORWARD_NEXT`
`static int` | `ACTION_BUTTON_HELP`
`static int` | `ACTION_BUTTON_HOME`
`static int` | `ACTION_BUTTON_INFORMATION`
`static int` | `ACTION_BUTTON_MOVIE`
`static int` | `ACTION_BUTTON_RETURN`
`static int` | `ACTION_BUTTON_SOUND`
`static int` | `ARC`
`static int` | `BENT_ARROW`
`static int` | `BENT_CONNECTOR_2`
`static int` | `BENT_CONNECTOR_3`
`static int` | `BENT_CONNECTOR_4`
`static int` | `BENT_CONNECTOR_5`
`static int` | `BENT_UP_ARROW`
`static int` | `BEVEL`
`static int` | `BLOCK_ARC`
`static int` | `BORDER_CALLOUT_1`
`static int` | `BORDER_CALLOUT_2`
`static int` | `BORDER_CALLOUT_3`
`static int` | `BRACE_PAIR`
`static int` | `BRACKET_PAIR`
`static int` | `CALLOUT_1`
`static int` | `CALLOUT_2`
`static int` | `CALLOUT_3`
`static int` | `CAN`
`static int` | `CHART_PLUS`
`static int` | `CHART_STAR`
`static int` | `CHART_X`
`static int` | `CHEVRON`
`static int` | `CHORD`
`static int` | `CIRCULAR_ARROW`
`static int` | `CLOUD`
`static int` | `CLOUD_CALLOUT`
`static int` | `CORNER`
`static int` | `CORNER_TABS`
`static int` | `CUBE`
`static int` | `CURVED_CONNECTOR_2`
`static int` | `CURVED_CONNECTOR_3`
`static int` | `CURVED_CONNECTOR_4`
`static int` | `CURVED_CONNECTOR_5`
`static int` | `CURVED_DOWN_ARROW`
`static int` | `CURVED_LEFT_ARROW`
`static int` | `CURVED_RIGHT_ARROW`
`static int` | `CURVED_UP_ARROW`
`static int` | `DECAGON`
`static int` | `DIAG_STRIPE`
`static int` | `DIAMOND`
`static int` | `DODECAGON`
`static int` | `DONUT`
`static int` | `DOUBLE_WAVE`
`static int` | `DOWN_ARROW`
`static int` | `DOWN_ARROW_CALLOUT`
`static int` | `ELLIPSE`
`static int` | `ELLIPSE_RIBBON`
`static int` | `ELLIPSE_RIBBON_2`
`static int` | `FLOW_CHART_ALTERNATE_PROCESS`
`static int` | `FLOW_CHART_COLLATE`
`static int` | `FLOW_CHART_CONNECTOR`
`static int` | `FLOW_CHART_DECISION`
`static int` | `FLOW_CHART_DELAY`
`static int` | `FLOW_CHART_DISPLAY`
`static int` | `FLOW_CHART_DOCUMENT`
`static int` | `FLOW_CHART_EXTRACT`
`static int` | `FLOW_CHART_INPUT_OUTPUT`
`static int` | `FLOW_CHART_INTERNAL_STORAGE`
`static int` | `FLOW_CHART_MAGNETIC_DISK`
`static int` | `FLOW_CHART_MAGNETIC_DRUM`
`static int` | `FLOW_CHART_MAGNETIC_TAPE`
`static int` | `FLOW_CHART_MANUAL_INPUT`
`static int` | `FLOW_CHART_MANUAL_OPERATION`
`static int` | `FLOW_CHART_MERGE`
`static int` | `FLOW_CHART_MULTIDOCUMENT`
`static int` | `FLOW_CHART_OFFLINE_STORAGE`
`static int` | `FLOW_CHART_OFFPAGE_CONNECTOR`
`static int` | `FLOW_CHART_ONLINE_STORAGE`
`static int` | `FLOW_CHART_OR`
`static int` | `FLOW_CHART_PREDEFINED_PROCESS`
`static int` | `FLOW_CHART_PREPARATION`
`static int` | `FLOW_CHART_PROCESS`
`static int` | `FLOW_CHART_PUNCHED_CARD`
`static int` | `FLOW_CHART_PUNCHED_TAPE`
`static int` | `FLOW_CHART_SORT`
`static int` | `FLOW_CHART_SUMMING_JUNCTION`
`static int` | `FLOW_CHART_TERMINATOR`
`static int` | `FOLDED_CORNER`
`static int` | `FRAME`
`static int` | `FUNNEL`
`static int` | `GEAR_6`
`static int` | `GEAR_9`
`static int` | `HALF_FRAME`
`static int` | `HEART`
`static int` | `HEPTAGON`
`static int` | `HEXAGON`
`static int` | `HOME_PLATE`
`static int` | `HORIZONTAL_SCROLL`
`static int` | `IRREGULAR_SEAL_1`
`static int` | `IRREGULAR_SEAL_2`
`static int` | `LEFT_ARROW`
`static int` | `LEFT_ARROW_CALLOUT`
`static int` | `LEFT_BRACE`
`static int` | `LEFT_BRACKET`
`static int` | `LEFT_CIRCULAR_ARROW`
`static int` | `LEFT_RIGHT_ARROW`
`static int` | `LEFT_RIGHT_ARROW_CALLOUT`
`static int` | `LEFT_RIGHT_CIRCULAR_ARROW`
`static int` | `LEFT_RIGHT_RIBBON`
`static int` | `LEFT_RIGHT_UP_ARROW`
`static int` | `LEFT_UP_ARROW`
`static int` | `LIGHTNING_BOLT`
`static int` | `LINE`
`static int` | `LINE_INV`
`static int` | `MATH_DIVIDE`
`static int` | `MATH_EQUAL`
`static int` | `MATH_MINUS`
`static int` | `MATH_MULTIPLY`
`static int` | `MATH_NOT_EQUAL`
`static int` | `MATH_PLUS`
`static int` | `MOON`
`static int` | `NO_SMOKING`
`static int` | `NON_ISOSCELES_TRAPEZOID`
`static int` | `NOTCHED_RIGHT_ARROW`
`static int` | `OCTAGON`
`static int` | `PARALLELOGRAM`
`static int` | `PENTAGON`
`static int` | `PIE`
`static int` | `PIE_WEDGE`
`static int` | `PLAQUE`
`static int` | `PLAQUE_TABS`
`static int` | `PLUS`
`static int` | `QUAD_ARROW`
`static int` | `QUAD_ARROW_CALLOUT`
`static int` | `RECT`
`static int` | `RIBBON`
`static int` | `RIBBON_2`
`static int` | `RIGHT_ARROW`
`static int` | `RIGHT_ARROW_CALLOUT`
`static int` | `RIGHT_BRACE`
`static int` | `RIGHT_BRACKET`
`static int` | `ROUND_1_RECT`
`static int` | `ROUND_2_DIAG_RECT`
`static int` | `ROUND_2_SAME_RECT`
`static int` | `ROUND_RECT`
`static int` | `RT_TRIANGLE`
`static int` | `SMILEY_FACE`
`static int` | `SNIP_1_RECT`
`static int` | `SNIP_2_DIAG_RECT`
`static int` | `SNIP_2_SAME_RECT`
`static int` | `SNIP_ROUND_RECT`
`static int` | `SQUARE_TABS`
`static int` | `STAR_10`
`static int` | `STAR_12`
`static int` | `STAR_16`
`static int` | `STAR_24`
`static int` | `STAR_32`
`static int` | `STAR_4`
`static int` | `STAR_5`
`static int` | `STAR_6`
`static int` | `STAR_7`
`static int` | `STAR_8`
`static int` | `STRAIGHT_CONNECTOR_1`
`static int` | `STRIPED_RIGHT_ARROW`
`static int` | `SUN`
`static int` | `SWOOSH_ARROW`
`static int` | `TEARDROP`
`static int` | `TRAPEZOID`
`static int` | `TRIANGLE`
`static int` | `UP_ARROW`
`static int` | `UP_ARROW_CALLOUT`
`static int` | `UP_DOWN_ARROW`
`static int` | `UP_DOWN_ARROW_CALLOUT`
`static int` | `UTURN_ARROW`
`static int` | `VERTICAL_SCROLL`
`static int` | `WAVE`
`static int` | `WEDGE_ELLIPSE_CALLOUT`
`static int` | `WEDGE_RECT_CALLOUT`
`static int` | `WEDGE_ROUND_RECT_CALLOUT`

Constructor Summary
`ShapeTypes()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINE

    public static final int LINE

See Also:
  Constant Field Values

### LINE_INV

    public static final int LINE_INV

See Also:
  Constant Field Values

### TRIANGLE

    public static final int TRIANGLE

See Also:
  Constant Field Values

### RT_TRIANGLE

    public static final int RT_TRIANGLE

See Also:
  Constant Field Values

### RECT

    public static final int RECT

See Also:
  Constant Field Values

### DIAMOND

    public static final int DIAMOND

See Also:
  Constant Field Values

### PARALLELOGRAM

    public static final int PARALLELOGRAM

See Also:
  Constant Field Values

### TRAPEZOID

    public static final int TRAPEZOID

See Also:
  Constant Field Values

### NON_ISOSCELES_TRAPEZOID

    public static final int NON_ISOSCELES_TRAPEZOID

See Also:
  Constant Field Values

### PENTAGON

    public static final int PENTAGON

See Also:
  Constant Field Values

### HEXAGON

    public static final int HEXAGON

See Also:
  Constant Field Values

### HEPTAGON

    public static final int HEPTAGON

See Also:
  Constant Field Values

### OCTAGON

    public static final int OCTAGON

See Also:
  Constant Field Values

### DECAGON

    public static final int DECAGON

See Also:
  Constant Field Values

### DODECAGON

    public static final int DODECAGON

See Also:
  Constant Field Values

### STAR_4

    public static final int STAR_4

See Also:
  Constant Field Values

### STAR_5

    public static final int STAR_5

See Also:
  Constant Field Values

### STAR_6

    public static final int STAR_6

See Also:
  Constant Field Values

### STAR_7

    public static final int STAR_7

See Also:
  Constant Field Values

### STAR_8

    public static final int STAR_8

See Also:
  Constant Field Values

### STAR_10

    public static final int STAR_10

See Also:
  Constant Field Values

### STAR_12

    public static final int STAR_12

See Also:
  Constant Field Values

### STAR_16

    public static final int STAR_16

See Also:
  Constant Field Values

### STAR_24

    public static final int STAR_24

See Also:
  Constant Field Values

### STAR_32

    public static final int STAR_32

See Also:
  Constant Field Values

### ROUND_RECT

    public static final int ROUND_RECT

See Also:
  Constant Field Values

### ROUND_1_RECT

    public static final int ROUND_1_RECT

See Also:
  Constant Field Values

### ROUND_2_SAME_RECT

    public static final int ROUND_2_SAME_RECT

See Also:
  Constant Field Values

### ROUND_2_DIAG_RECT

    public static final int ROUND_2_DIAG_RECT

See Also:
  Constant Field Values

### SNIP_ROUND_RECT

    public static final int SNIP_ROUND_RECT

See Also:
  Constant Field Values

### SNIP_1_RECT

    public static final int SNIP_1_RECT

See Also:
  Constant Field Values

### SNIP_2_SAME_RECT

    public static final int SNIP_2_SAME_RECT

See Also:
  Constant Field Values

### SNIP_2_DIAG_RECT

    public static final int SNIP_2_DIAG_RECT

See Also:
  Constant Field Values

### PLAQUE

    public static final int PLAQUE

See Also:
  Constant Field Values

### ELLIPSE

    public static final int ELLIPSE

See Also:
  Constant Field Values

### TEARDROP

    public static final int TEARDROP

See Also:
  Constant Field Values

### HOME_PLATE

    public static final int HOME_PLATE

See Also:
  Constant Field Values

### CHEVRON

    public static final int CHEVRON

See Also:
  Constant Field Values

### PIE_WEDGE

    public static final int PIE_WEDGE

See Also:
  Constant Field Values

### PIE

    public static final int PIE

See Also:
  Constant Field Values

### BLOCK_ARC

    public static final int BLOCK_ARC

See Also:
  Constant Field Values

### DONUT

    public static final int DONUT

See Also:
  Constant Field Values

### NO_SMOKING

    public static final int NO_SMOKING

See Also:
  Constant Field Values

### RIGHT_ARROW

    public static final int RIGHT_ARROW

See Also:
  Constant Field Values

### LEFT_ARROW

    public static final int LEFT_ARROW

See Also:
  Constant Field Values

### UP_ARROW

    public static final int UP_ARROW

See Also:
  Constant Field Values

### DOWN_ARROW

    public static final int DOWN_ARROW

See Also:
  Constant Field Values

### STRIPED_RIGHT_ARROW

    public static final int STRIPED_RIGHT_ARROW

See Also:
  Constant Field Values

### NOTCHED_RIGHT_ARROW

    public static final int NOTCHED_RIGHT_ARROW

See Also:
  Constant Field Values

### BENT_UP_ARROW

    public static final int BENT_UP_ARROW

See Also:
  Constant Field Values

### LEFT_RIGHT_ARROW

    public static final int LEFT_RIGHT_ARROW

See Also:
  Constant Field Values

### UP_DOWN_ARROW

    public static final int UP_DOWN_ARROW

See Also:
  Constant Field Values

### LEFT_UP_ARROW

    public static final int LEFT_UP_ARROW

See Also:
  Constant Field Values

### LEFT_RIGHT_UP_ARROW

    public static final int LEFT_RIGHT_UP_ARROW

See Also:
  Constant Field Values

### QUAD_ARROW

    public static final int QUAD_ARROW

See Also:
  Constant Field Values

### LEFT_ARROW_CALLOUT

    public static final int LEFT_ARROW_CALLOUT

See Also:
  Constant Field Values

### RIGHT_ARROW_CALLOUT

    public static final int RIGHT_ARROW_CALLOUT

See Also:
  Constant Field Values

### UP_ARROW_CALLOUT

    public static final int UP_ARROW_CALLOUT

See Also:
  Constant Field Values

### DOWN_ARROW_CALLOUT

    public static final int DOWN_ARROW_CALLOUT

See Also:
  Constant Field Values

### LEFT_RIGHT_ARROW_CALLOUT

    public static final int LEFT_RIGHT_ARROW_CALLOUT

See Also:
  Constant Field Values

### UP_DOWN_ARROW_CALLOUT

    public static final int UP_DOWN_ARROW_CALLOUT

See Also:
  Constant Field Values

### QUAD_ARROW_CALLOUT

    public static final int QUAD_ARROW_CALLOUT

See Also:
  Constant Field Values

### BENT_ARROW

    public static final int BENT_ARROW

See Also:
  Constant Field Values

### UTURN_ARROW

    public static final int UTURN_ARROW

See Also:
  Constant Field Values

### CIRCULAR_ARROW

    public static final int CIRCULAR_ARROW

See Also:
  Constant Field Values

### LEFT_CIRCULAR_ARROW

    public static final int LEFT_CIRCULAR_ARROW

See Also:
  Constant Field Values

### LEFT_RIGHT_CIRCULAR_ARROW

    public static final int LEFT_RIGHT_CIRCULAR_ARROW

See Also:
  Constant Field Values

### CURVED_RIGHT_ARROW

    public static final int CURVED_RIGHT_ARROW

See Also:
  Constant Field Values

### CURVED_LEFT_ARROW

    public static final int CURVED_LEFT_ARROW

See Also:
  Constant Field Values

### CURVED_UP_ARROW

    public static final int CURVED_UP_ARROW

See Also:
  Constant Field Values

### CURVED_DOWN_ARROW

    public static final int CURVED_DOWN_ARROW

See Also:
  Constant Field Values

### SWOOSH_ARROW

    public static final int SWOOSH_ARROW

See Also:
  Constant Field Values

### CUBE

    public static final int CUBE

See Also:
  Constant Field Values

### CAN

    public static final int CAN

See Also:
  Constant Field Values

### LIGHTNING_BOLT

    public static final int LIGHTNING_BOLT

See Also:
  Constant Field Values

### HEART

    public static final int HEART

See Also:
  Constant Field Values

### SUN

    public static final int SUN

See Also:
  Constant Field Values

### MOON

    public static final int MOON

See Also:
  Constant Field Values

### SMILEY_FACE

    public static final int SMILEY_FACE

See Also:
  Constant Field Values

### IRREGULAR_SEAL_1

    public static final int IRREGULAR_SEAL_1

See Also:
  Constant Field Values

### IRREGULAR_SEAL_2

    public static final int IRREGULAR_SEAL_2

See Also:
  Constant Field Values

### FOLDED_CORNER

    public static final int FOLDED_CORNER

See Also:
  Constant Field Values

### BEVEL

    public static final int BEVEL

See Also:
  Constant Field Values

### FRAME

    public static final int FRAME

See Also:
  Constant Field Values

### HALF_FRAME

    public static final int HALF_FRAME

See Also:
  Constant Field Values

### CORNER

    public static final int CORNER

See Also:
  Constant Field Values

### DIAG_STRIPE

    public static final int DIAG_STRIPE

See Also:
  Constant Field Values

### CHORD

    public static final int CHORD

See Also:
  Constant Field Values

### ARC

    public static final int ARC

See Also:
  Constant Field Values

### LEFT_BRACKET

    public static final int LEFT_BRACKET

See Also:
  Constant Field Values

### RIGHT_BRACKET

    public static final int RIGHT_BRACKET

See Also:
  Constant Field Values

### LEFT_BRACE

    public static final int LEFT_BRACE

See Also:
  Constant Field Values

### RIGHT_BRACE

    public static final int RIGHT_BRACE

See Also:
  Constant Field Values

### BRACKET_PAIR

    public static final int BRACKET_PAIR

See Also:
  Constant Field Values

### BRACE_PAIR

    public static final int BRACE_PAIR

See Also:
  Constant Field Values

### STRAIGHT_CONNECTOR_1

    public static final int STRAIGHT_CONNECTOR_1

See Also:
  Constant Field Values

### BENT_CONNECTOR_2

    public static final int BENT_CONNECTOR_2

See Also:
  Constant Field Values

### BENT_CONNECTOR_3

    public static final int BENT_CONNECTOR_3

See Also:
  Constant Field Values

### BENT_CONNECTOR_4

    public static final int BENT_CONNECTOR_4

See Also:
  Constant Field Values

### BENT_CONNECTOR_5

    public static final int BENT_CONNECTOR_5

See Also:
  Constant Field Values

### CURVED_CONNECTOR_2

    public static final int CURVED_CONNECTOR_2

See Also:
  Constant Field Values

### CURVED_CONNECTOR_3

    public static final int CURVED_CONNECTOR_3

See Also:
  Constant Field Values

### CURVED_CONNECTOR_4

    public static final int CURVED_CONNECTOR_4

See Also:
  Constant Field Values

### CURVED_CONNECTOR_5

    public static final int CURVED_CONNECTOR_5

See Also:
  Constant Field Values

### CALLOUT_1

    public static final int CALLOUT_1

See Also:
  Constant Field Values

### CALLOUT_2

    public static final int CALLOUT_2

See Also:
  Constant Field Values

### CALLOUT_3

    public static final int CALLOUT_3

See Also:
  Constant Field Values

### ACCENT_CALLOUT_1

    public static final int ACCENT_CALLOUT_1

See Also:
  Constant Field Values

### ACCENT_CALLOUT_2

    public static final int ACCENT_CALLOUT_2

See Also:
  Constant Field Values

### ACCENT_CALLOUT_3

    public static final int ACCENT_CALLOUT_3

See Also:
  Constant Field Values

### BORDER_CALLOUT_1

    public static final int BORDER_CALLOUT_1

See Also:
  Constant Field Values

### BORDER_CALLOUT_2

    public static final int BORDER_CALLOUT_2

See Also:
  Constant Field Values

### BORDER_CALLOUT_3

    public static final int BORDER_CALLOUT_3

See Also:
  Constant Field Values

### ACCENT_BORDER_CALLOUT_1

    public static final int ACCENT_BORDER_CALLOUT_1

See Also:
  Constant Field Values

### ACCENT_BORDER_CALLOUT_2

    public static final int ACCENT_BORDER_CALLOUT_2

See Also:
  Constant Field Values

### ACCENT_BORDER_CALLOUT_3

    public static final int ACCENT_BORDER_CALLOUT_3

See Also:
  Constant Field Values

### WEDGE_RECT_CALLOUT

    public static final int WEDGE_RECT_CALLOUT

See Also:
  Constant Field Values

### WEDGE_ROUND_RECT_CALLOUT

    public static final int WEDGE_ROUND_RECT_CALLOUT

See Also:
  Constant Field Values

### WEDGE_ELLIPSE_CALLOUT

    public static final int WEDGE_ELLIPSE_CALLOUT

See Also:
  Constant Field Values

### CLOUD_CALLOUT

    public static final int CLOUD_CALLOUT

See Also:
  Constant Field Values

### CLOUD

    public static final int CLOUD

See Also:
  Constant Field Values

### RIBBON

    public static final int RIBBON

See Also:
  Constant Field Values

### RIBBON_2

    public static final int RIBBON_2

See Also:
  Constant Field Values

### ELLIPSE_RIBBON

    public static final int ELLIPSE_RIBBON

See Also:
  Constant Field Values

### ELLIPSE_RIBBON_2

    public static final int ELLIPSE_RIBBON_2

See Also:
  Constant Field Values

### LEFT_RIGHT_RIBBON

    public static final int LEFT_RIGHT_RIBBON

See Also:
  Constant Field Values

### VERTICAL_SCROLL

    public static final int VERTICAL_SCROLL

See Also:
  Constant Field Values

### HORIZONTAL_SCROLL

    public static final int HORIZONTAL_SCROLL

See Also:
  Constant Field Values

### WAVE

    public static final int WAVE

See Also:
  Constant Field Values

### DOUBLE_WAVE

    public static final int DOUBLE_WAVE

See Also:
  Constant Field Values

### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

### FLOW_CHART_PROCESS

    public static final int FLOW_CHART_PROCESS

See Also:
  Constant Field Values

### FLOW_CHART_DECISION

    public static final int FLOW_CHART_DECISION

See Also:
  Constant Field Values

### FLOW_CHART_INPUT_OUTPUT

    public static final int FLOW_CHART_INPUT_OUTPUT

See Also:
  Constant Field Values

### FLOW_CHART_PREDEFINED_PROCESS

    public static final int FLOW_CHART_PREDEFINED_PROCESS

See Also:
  Constant Field Values

### FLOW_CHART_INTERNAL_STORAGE

    public static final int FLOW_CHART_INTERNAL_STORAGE

See Also:
  Constant Field Values

### FLOW_CHART_DOCUMENT

    public static final int FLOW_CHART_DOCUMENT

See Also:
  Constant Field Values

### FLOW_CHART_MULTIDOCUMENT

    public static final int FLOW_CHART_MULTIDOCUMENT

See Also:
  Constant Field Values

### FLOW_CHART_TERMINATOR

    public static final int FLOW_CHART_TERMINATOR

See Also:
  Constant Field Values

### FLOW_CHART_PREPARATION

    public static final int FLOW_CHART_PREPARATION

See Also:
  Constant Field Values

### FLOW_CHART_MANUAL_INPUT

    public static final int FLOW_CHART_MANUAL_INPUT

See Also:
  Constant Field Values

### FLOW_CHART_MANUAL_OPERATION

    public static final int FLOW_CHART_MANUAL_OPERATION

See Also:
  Constant Field Values

### FLOW_CHART_CONNECTOR

    public static final int FLOW_CHART_CONNECTOR

See Also:
  Constant Field Values

### FLOW_CHART_PUNCHED_CARD

    public static final int FLOW_CHART_PUNCHED_CARD

See Also:
  Constant Field Values

### FLOW_CHART_PUNCHED_TAPE

    public static final int FLOW_CHART_PUNCHED_TAPE

See Also:
  Constant Field Values

### FLOW_CHART_SUMMING_JUNCTION

    public static final int FLOW_CHART_SUMMING_JUNCTION

See Also:
  Constant Field Values

### FLOW_CHART_OR

    public static final int FLOW_CHART_OR

See Also:
  Constant Field Values

### FLOW_CHART_COLLATE

    public static final int FLOW_CHART_COLLATE

See Also:
  Constant Field Values

### FLOW_CHART_SORT

    public static final int FLOW_CHART_SORT

See Also:
  Constant Field Values

### FLOW_CHART_EXTRACT

    public static final int FLOW_CHART_EXTRACT

See Also:
  Constant Field Values

### FLOW_CHART_MERGE

    public static final int FLOW_CHART_MERGE

See Also:
  Constant Field Values

### FLOW_CHART_OFFLINE_STORAGE

    public static final int FLOW_CHART_OFFLINE_STORAGE

See Also:
  Constant Field Values

### FLOW_CHART_ONLINE_STORAGE

    public static final int FLOW_CHART_ONLINE_STORAGE

See Also:
  Constant Field Values

### FLOW_CHART_MAGNETIC_TAPE

    public static final int FLOW_CHART_MAGNETIC_TAPE

See Also:
  Constant Field Values

### FLOW_CHART_MAGNETIC_DISK

    public static final int FLOW_CHART_MAGNETIC_DISK

See Also:
  Constant Field Values

### FLOW_CHART_MAGNETIC_DRUM

    public static final int FLOW_CHART_MAGNETIC_DRUM

See Also:
  Constant Field Values

### FLOW_CHART_DISPLAY

    public static final int FLOW_CHART_DISPLAY

See Also:
  Constant Field Values

### FLOW_CHART_DELAY

    public static final int FLOW_CHART_DELAY

See Also:
  Constant Field Values

### FLOW_CHART_ALTERNATE_PROCESS

    public static final int FLOW_CHART_ALTERNATE_PROCESS

See Also:
  Constant Field Values

### FLOW_CHART_OFFPAGE_CONNECTOR

    public static final int FLOW_CHART_OFFPAGE_CONNECTOR

See Also:
  Constant Field Values

### ACTION_BUTTON_BLANK

    public static final int ACTION_BUTTON_BLANK

See Also:
  Constant Field Values

### ACTION_BUTTON_HOME

    public static final int ACTION_BUTTON_HOME

See Also:
  Constant Field Values

### ACTION_BUTTON_HELP

    public static final int ACTION_BUTTON_HELP

See Also:
  Constant Field Values

### ACTION_BUTTON_INFORMATION

    public static final int ACTION_BUTTON_INFORMATION

See Also:
  Constant Field Values

### ACTION_BUTTON_FORWARD_NEXT

    public static final int ACTION_BUTTON_FORWARD_NEXT

See Also:
  Constant Field Values

### ACTION_BUTTON_BACK_PREVIOUS

    public static final int ACTION_BUTTON_BACK_PREVIOUS

See Also:
  Constant Field Values

### ACTION_BUTTON_END

    public static final int ACTION_BUTTON_END

See Also:
  Constant Field Values

### ACTION_BUTTON_BEGINNING

    public static final int ACTION_BUTTON_BEGINNING

See Also:
  Constant Field Values

### ACTION_BUTTON_RETURN

    public static final int ACTION_BUTTON_RETURN

See Also:
  Constant Field Values

### ACTION_BUTTON_DOCUMENT

    public static final int ACTION_BUTTON_DOCUMENT

See Also:
  Constant Field Values

### ACTION_BUTTON_SOUND

    public static final int ACTION_BUTTON_SOUND

See Also:
  Constant Field Values

### ACTION_BUTTON_MOVIE

    public static final int ACTION_BUTTON_MOVIE

See Also:
  Constant Field Values

### GEAR_6

    public static final int GEAR_6

See Also:
  Constant Field Values

### GEAR_9

    public static final int GEAR_9

See Also:
  Constant Field Values

### FUNNEL

    public static final int FUNNEL

See Also:
  Constant Field Values

### MATH_PLUS

    public static final int MATH_PLUS

See Also:
  Constant Field Values

### MATH_MINUS

    public static final int MATH_MINUS

See Also:
  Constant Field Values

### MATH_MULTIPLY

    public static final int MATH_MULTIPLY

See Also:
  Constant Field Values

### MATH_DIVIDE

    public static final int MATH_DIVIDE

See Also:
  Constant Field Values

### MATH_EQUAL

    public static final int MATH_EQUAL

See Also:
  Constant Field Values

### MATH_NOT_EQUAL

    public static final int MATH_NOT_EQUAL

See Also:
  Constant Field Values

### CORNER_TABS

    public static final int CORNER_TABS

See Also:
  Constant Field Values

### SQUARE_TABS

    public static final int SQUARE_TABS

See Also:
  Constant Field Values

### PLAQUE_TABS

    public static final int PLAQUE_TABS

See Also:
  Constant Field Values

### CHART_X

    public static final int CHART_X

See Also:
  Constant Field Values

### CHART_STAR

    public static final int CHART_STAR

See Also:
  Constant Field Values

### CHART_PLUS

    public static final int CHART_PLUS

See Also:
  Constant Field Values

Constructor Detail

### ShapeTypes

    public ShapeTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD